Subject: Re: sky2 hangs, hw csum errors with 2.6.18

From: Stephen Hemminger <[email-masked]>
Date: Tue, 3 Oct 2006 11:35:38 -0700

On Tue, 3 Oct 2006 20:21:20 +0200
Martin Lucina <[email-masked]> wrote:

> Hi Stephen,
> 
> I'm still getting tx timeouts even after applying the patch you sent me
> and forcing tx flow control off:

What speed and duplex are you using?

> 
> Also, I'm seeing a bunch of messages like this (in addition to the hw
> csum failures I mentioned in my original email):
> 
> Oct  2 16:42:17 dezo kernel: SKB BUG: Invalid truesize (3944) len=12745, sizeof(sk_buff)=2
> 32
> Oct  2 16:42:29 dezo kernel: SKB BUG: Invalid truesize (3944) len=16384, sizeof(sk_buff)=2
> 32
> Oct  2 16:42:29 dezo last message repeated 11 times
> Oct  3 17:20:54 dezo kernel: SKB BUG: Invalid truesize (3944) len=16384, sizeof(sk_buff)=2
> 32
> Oct  3 17:21:56 dezo last message repeated 4 times
> Oct  3 17:21:56 dezo last message repeated 3 times
> Oct  3 17:23:46 dezo last message repeated 2 times
> Oct  3 20:03:28 dezo kernel: SKB BUG: Invalid truesize (3944) len=16384, sizeof(sk_buff)=2
> 32
> Oct  3 20:03:28 dezo last message repeated 16 times
> 
> After which some open TCP sockets between dezo and another box (also
> with sky2) start running really slowly.

What MTU are you using.

> 
> Not sure how to proceed with this - is there a newer version of sky2
> than that in 2.6.18 which I can test?
> 
> -mato

-- 
Stephen Hemminger <[email-masked]>